openSUSE Security Update: Security update for libspf2
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:1187-1
Rating:             critical
References:         #1189104 
Cross-References:   CVE-2021-20314
Affected Products:
                    openSUSE Leap 15.2
                    openSUSE Backports SLE-15-SP3
                    openSUSE Backports SLE-15-SP2
                    openSUSE Backports SLE-15-SP1
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:


   This update for libspf2 fixes the following issue:

   - CVE-2021-20314: A remote overflow in SPF parsing could lead to remote
     code execution (bsc#1189104)


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.2:

      zypper in -t patch openSUSE-2021-1187=1

   - openSUSE Backports SLE-15-SP3:

      zypper in -t patch openSUSE-2021-1187=1

   - openSUSE Backports SLE-15-SP2:

      zypper in -t patch openSUSE-2021-1187=1

   - openSUSE Backports SLE-15-SP1:

      zypper in -t patch openSUSE-2021-1187=1



Package List:

   - openSUSE Leap 15.2 (x86_64):

      libspf2-2-1.2.10-lp152.4.3.1
      libspf2-2-debuginfo-1.2.10-lp152.4.3.1
      libspf2-debuginfo-1.2.10-lp152.4.3.1
      libspf2-debugsource-1.2.10-lp152.4.3.1
      libspf2-devel-1.2.10-lp152.4.3.1
      libspf2-tools-1.2.10-lp152.4.3.1
      libspf2-tools-debuginfo-1.2.10-lp152.4.3.1

   - openSUSE Backports SLE-15-SP3 (aarch64 ppc64le s390x x86_64):

      libspf2-2-1.2.10-bp153.5.1
      libspf2-2-debuginfo-1.2.10-bp153.5.1
      libspf2-debuginfo-1.2.10-bp153.5.1
      libspf2-debugsource-1.2.10-bp153.5.1
      libspf2-devel-1.2.10-bp153.5.1
      libspf2-tools-1.2.10-bp153.5.1
      libspf2-tools-debuginfo-1.2.10-bp153.5.1

   - openSUSE Backports SLE-15-SP2 (aarch64 ppc64le s390x x86_64):

      libspf2-2-1.2.10-bp152.8.1
      libspf2-2-debuginfo-1.2.10-bp152.8.1
      libspf2-debuginfo-1.2.10-bp152.8.1
      libspf2-debugsource-1.2.10-bp152.8.1
      libspf2-devel-1.2.10-bp152.8.1
      libspf2-tools-1.2.10-bp152.8.1
      libspf2-tools-debuginfo-1.2.10-bp152.8.1

   - openSUSE Backports SLE-15-SP1 (aarch64 ppc64le s390x x86_64):

      libspf2-2-1.2.10-bp151.7.1
      libspf2-2-debuginfo-1.2.10-bp151.7.1
      libspf2-debuginfo-1.2.10-bp151.7.1
      libspf2-debugsource-1.2.10-bp151.7.1
      libspf2-devel-1.2.10-bp151.7.1
      libspf2-tools-1.2.10-bp151.7.1
      libspf2-tools-debuginfo-1.2.10-bp151.7.1


References:

   https://www.suse.com/security/cve/CVE-2021-20314.html
   https://bugzilla.suse.com/1189104